Freeciv-3.1: packet_worker_task Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
packet_worker_task Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | city_id16
int | city_id32
int | tile_id
enum unit_activity | activity
int | tgt
int | want

## Detailed Description

Definition at line 506 of file packets_gen.h.

## Field Documentation

## ◆ activity

enum unit_activity packet_worker_task::activity

Definition at line 510 of file packets_gen.h.

Referenced by clear_worker_task(), city_map::context_menu(), handle_worker_task(), handle_worker_task(), package_and_send_worker_tasks(), send_packet_worker_task_100(), send_packet_worker_task_101(), and set_city_workertask().

## ◆ city_id16

int packet_worker_task::city_id16

Definition at line 507 of file packets_gen.h.

Referenced by clear_worker_task(), city_map::context_menu(), handle_worker_task(), handle_worker_task(), package_and_send_worker_tasks(), send_packet_worker_task_101(), and set_city_workertask().

## ◆ city_id32

int packet_worker_task::city_id32

Definition at line 508 of file packets_gen.h.

Referenced by clear_worker_task(), city_map::context_menu(), handle_worker_task(), handle_worker_task(), package_and_send_worker_tasks(), send_packet_worker_task_100(), and set_city_workertask().

## ◆ tgt

int packet_worker_task::tgt

Definition at line 511 of file packets_gen.h.

Referenced by clear_worker_task(), city_map::context_menu(), handle_worker_task(), handle_worker_task(), package_and_send_worker_tasks(), send_packet_worker_task_100(), send_packet_worker_task_101(), and set_city_workertask().

## ◆ tile_id

int packet_worker_task::tile_id

Definition at line 509 of file packets_gen.h.

Referenced by clear_worker_task(), city_map::context_menu(), handle_worker_task(), handle_worker_task(), package_and_send_worker_tasks(), send_packet_worker_task_100(), send_packet_worker_task_101(), and set_city_workertask().

## ◆ want

int packet_worker_task::want

Definition at line 512 of file packets_gen.h.

Referenced by clear_worker_task(), city_map::context_menu(), handle_worker_task(), handle_worker_task(), package_and_send_worker_tasks(), send_packet_worker_task_100(), send_packet_worker_task_101(), and set_city_workertask().